Summary: Apache with built in Enhydra Director module
Name: apache-director
Version: 5.1
Release: 1
Copyright: GPL
Group: Development/System
Source: %{name}-%version.tar.gz
URL: http://www.enhydra.net
Distribution: WSS Linux
Packager: Prozone <office@prozone.co.yu>
AutoReqProv: no
buildRoot: /tmp/%name-%version
%description
Apache with built in Enhydra Director module


%prep
%setup  -n  apache-director-5.1
            
%build
	cd director/apache
	chmod +x configure
	./configure 
	make
%install
	cd director/apache
	make install
	rm -rf $RPM_BUILD_ROOT
	mkdir -p  $RPM_BUILD_ROOT/usr/local
	cp -r /usr/local/apache $RPM_BUILD_ROOT/usr/local
	echo "
		LoadModule enhydra_director_module libexec/mod_enhydra_director.so
		#AddModule mod_enhydra_director.c
	" >> $RPM_BUILD_ROOT/usr/local/apache/conf/httpd.conf
	echo '<?xml version="1.0"?>
		<!DOCTYPE EnhydraDirectorConfig SYSTEM "EnhydraDirectorConfig.dtd">
		
		<EnhydraDirectorConfig> 	
                                                                                                                             
    		<Status prefix="/status">
        		<Restrict server="127.0.0.1" />
        		<Restrict client="127.0.0.1" />
    		</Status>

		</EnhydraDirectorConfig>
' > $RPM_BUILD_ROOT/usr/local/apache/conf/enhydra_director.conf

%files
	/usr/local/apache/*
%post
	cp  /usr/local/apache/bin/apachectl /etc/init.d
	for i in 2 3 4 5
	do
		cd /etc/rc${i}.d
		if 
			[ -f S*httpd ]
		then
			Shttpd=$(ls S*httpd)
			mv ${Shttpd} old${Shttpd}
		fi
		if 
			[ -e S97apachectl ]
		then
			rm  S97apachectl  
		fi
		if 
			[ -e K15apachectl ]
		then
			rm  K15apachectl 
		fi
		ln -s ../init.d/apachectl S97apachectl
		ln -s ../init.d/apachectl K15apachectl
	done
	if 
		[ -x /usr/sbin/groupadd ]
	then
		/usr/sbin/groupadd nogroup 2>/dev/null
	else
		echo "Please create group nogroup"
		exit
	fi
	/etc/init.d/httpd stop
	/etc/init.d/apachectl start
